Package fr.gouv.vitam.common.model

# Enum Class VitamConstants.StorageRuleFinalAction

java.lang.Object
java.lang.Enum<VitamConstants.StorageRuleFinalAction>
fr.gouv.vitam.common.model.VitamConstants.StorageRuleFinalAction

All Implemented Interfaces:
  `Serializable`, `Comparable<VitamConstants.StorageRuleFinalAction>`, `Constable`

Enclosing class:
  `VitamConstants`

public static enum VitamConstants.StorageRuleFinalAction extends Enum<VitamConstants.StorageRuleFinalAction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COPY`
  `RESTRICT_ACCESS`
  `TRANSFER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamConstants.StorageRuleFinalAction`
  `fromValue(String v)`
  `String`
  `value()`
  `static VitamConstants.StorageRuleFinalAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VitamConstants.StorageRuleFinalAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESTRICT_ACCESS

    public static final VitamConstants.StorageRuleFinalAction RESTRICT_ACCESS

  - ### TRANSFER

    public static final VitamConstants.StorageRuleFinalAction TRANSFER

  - ### COPY

    public static final VitamConstants.StorageRuleFinalAction COPY

- ## Method Details

  - ### values

    public static VitamConstants.StorageRuleFinalAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VitamConstants.StorageRuleFinalAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static VitamConstants.StorageRuleFinalAction fromValue(String v) throws IllegalArgumentException
    Throws:
      `IllegalArgumentException`